Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy
Class IvyNode.Caller

    java.lang.Object
      fr.jayasoft.ivy.IvyNode.Caller

Enclosing class:
  IvyNode

public class IvyNode.Caller
extends java.lang.Object

Constructor Summary
`IvyNode.Caller(ModuleDescriptor md, ModuleRevisionId mrid, DependencyDescriptor dd, boolean callerCanExclude)`

Method Summary
`void` | `addConfiguration(java.lang.String callerConf, java.lang.String[] dependencyConfs)`
`boolean` | `canExclude()`
`boolean` | `equals(java.lang.Object obj)`
`ModuleRevisionId` | `getAskedDependencyId()`
`java.lang.String[]` | `getCallerConfigurations()`
`DependencyDescriptor` | `getDependencyDescriptor()`
`ModuleDescriptor` | `getModuleDescriptor()`
`ModuleRevisionId` | `getModuleRevisionId()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IvyNode.Caller

    public IvyNode.Caller(ModuleDescriptor md,
                          ModuleRevisionId mrid,
                          DependencyDescriptor dd,
                          boolean callerCanExclude)

Method Detail

### addConfiguration

    public void addConfiguration(java.lang.String callerConf,
                                 java.lang.String[] dependencyConfs)

### getCallerConfigurations

    public java.lang.String[] getCallerConfigurations()

### getModuleRevisionId

    public ModuleRevisionId getModuleRevisionId()

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### toString

    public java.lang.String toString()

### getAskedDependencyId

    public ModuleRevisionId getAskedDependencyId()

### getModuleDescriptor

    public ModuleDescriptor getModuleDescriptor()

### canExclude

    public boolean canExclude()

### getDependencyDescriptor

    public DependencyDescriptor getDependencyDescriptor()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD